@echo off
 setlocal
 SET ZipQuelle_DP=%~1
 SET ZipArchiv_DPNE=%~2

 if "%ZipQuelle_DP%"==""  goto ErrInfo
 if "%ZipArchiv_DPNE%"=="" goto ErrInfo
 goto los

:ErrInfo
 echo.
 echo   Error in parameters 
 echo   Anleitung:
 echo   P1 = Quell Ordner (z.B. C:\Projekte\P401023)
 echo   P2 = ZipArchiv Pfad/Datei zur Zip Archiv Datei (z.B.: C:\Projekte.Archiv\P401023.Zip)
 echo.
 echo   call ..\BIN\Zip_DP.cmd C:\Projekte\P401023 C:\Projekte.Archiv\P401023.Zip
 echo.
 pause
 goto ende


:los
 rem set default zip source dir
 PUSHD %ZipQuelle_DP%
 Echo create Zip File
 Echo Source Dir: %ZipQuelle_DP%\..
 Echo Zipfile   : %ZipArchiv_DPNE%
 "%~dp0ZIP.exe" -r -D -9 -q "%ZipArchiv_DPNE%" *.*
 rem zurueck in das Ausgangsverzeichniss
 POPD
 goto ende

:ende
 endlocal
